Page MenuHomePhabricator

FormChooser routing not respecting gateway=adyen for US / USD (but it is for CA / CAD)
Closed, ResolvedPublic2 Story Points

Description

@Pcoombe noticed that the form chooser correctly routes to AdyenGateway for CA / CAD / gateway=adyen, but sends donors to IngenicoGateway for US / USD / gateway=adyen. Why's that???

Event Timeline

Ejegg created this task.Nov 13 2018, 9:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 13 2018, 9:05 PM

Change 473308 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Form chooser: fix zero-weighting logic

https://gerrit.wikimedia.org/r/473308

Oof, that form chooser logic!

One bit of it was tossing out the US/USD/adyen forms because there were two possibilities weighted at zero, while keeping the CA/CAD/adyen form (weighted at zero) because there was only one possibility. I've added a slight tweak that should carry us through December, but we should do a thorough refactor soon after big english.

Change 473308 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Form chooser: fix zero-weighting logic

https://gerrit.wikimedia.org/r/473308

Ejegg closed this task as Resolved.Dec 11 2018, 9:52 PM
Ejegg claimed this task.
Ejegg moved this task from Backlog to Done on the Fundraising Sprint XML ate my homework board.
Ejegg triaged this task as High priority.May 30 2019, 8:30 PM
Ejegg set the point value for this task to 2.